Bug 482943 - Missing setting for notification sounds
Summary: Missing setting for notification sounds
Status: REPORTED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_pulseaudio (show other bugs)
Version: 6.0.1
Platform: Fedora RPMs Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: qt6, regression
: 484190 (view as bug list)
Depends on:
Blocks:
 
Reported: 2024-03-09 03:20 UTC by M. Schlegel
Modified: 2024-05-18 05:15 UTC (History)
12 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
SystemSettings > Sound > Configure Volume (45.20 KB, image/png)
2024-03-14 20:07 UTC, Ismael Asensio
Details
sound-panel in kde6 (no notification system sound slider) (102.41 KB, image/png)
2024-03-15 11:15 UTC, freeeaks
Details
screenshot (122.26 KB, image/png)
2024-03-22 13:18 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description M. Schlegel 2024-03-09 03:20:59 UTC
SUMMARY
***
I system-upgraded to Fedora 40 develop which upgraded my laptop to KDE 6.0.1

I have a problem where I can’t turn off the “bong” system sounds that occurs when the desktop volume is changed by either rolling the mouse wheel when hovering over the volume or sliding the volume.
I’ve set the System Sounds in pavucontrol (pulseaudio volume control) to 0% volume and muted it but the sounds still occurs.  I also unchecked the “Enable notification sounds” checkbox in “global themes”-> "System Sounds" but I think that’s unrelated to System Sounds.

qpwgraph shows that when the sound is produced it's coming from libcanberra
***

STEPS TO REPRODUCE
1. Install Fedora 40 Develop OS, upgrade via 'dnf upgrade' afterwards to KDE 6.0.1
2. Turn off System Sounds in Pulseaudio Volume Control Playback tab by muting "System Sounds"
3. Change desktop Volume via the taskbar volume (roll mouse wheel over the widget or slide slider)


OBSERVED RESULT
Changing the desktop volume via the volume widget results in a system sound even if system sounds was muted

EXPECTED RESULT
System Sounds should not occur if System Sounds is muted

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma:   
(available in About System)
KDE Plasma Version: 6.0.1
KDE Frameworks Version: 6.0.0
Qt Version: 6.6.2

ADDITIONAL INFORMATION
Kernel 6.8.0-0.rc6.49.fc40.x86_64
MSI Bravo 15 A4DDR laptop
Wayland
Comment 1 M. Schlegel 2024-03-09 03:26:51 UTC
Alsa, pipewire and wireplumber info

API: ALSA v: k6.8.0-0.rc6.49.fc40.x86_64 status: kernel-api
  Server-1: PipeWire v: 1.0.3 status: active with: 1: pipewire-pulse
    status: active 2: wireplumber status: active 3: pipewire-alsa type: plugin
    4: pw-jack type: plugin
Comment 2 Nate Graham 2024-03-11 22:29:09 UTC
If you go to System Settings Audio, you'll see a thing named "Notification sounds". If that's not muted or set to 0%, do that. Does that fix the issue?
Comment 3 M. Schlegel 2024-03-12 04:07:24 UTC
>If you go to System Settings Audio, you'll see a thing named "Notification sounds". If that's not muted or set to 0%, do that. 
>Does that fix the issue?

I'm not sure what you mean, my System Settings in Fedora 40 when you put "sound" in the search tool only shows "System Sounds" and "Sound" as related to this problem. The former has a check box labeled "Enable notification sounds" which is not checked.

The Sounds selection just shows the Playback Devices page, there's nothing there to turn system sounds or notification sounds on or off.  There's just the volume slider for Speakers there and the configuration menu, "Test" button and "Balance" control.  The HDMI card shows as "inactive"
Comment 4 freeeaks 2024-03-12 18:09:44 UTC
i'm having the same issue. there's nothing to disable system notification sounds.
before in kde5 there was a slider in settings>sound, but it's not there in kde6.
the only thing seemingly related is in: settings > color & themes > system sounds, there's a checkbox called "enable notification sounds" and it's unchecked. but i still get all the annoying beeps each time i change audio volume or if i plug an external hdd, etc ..
as the person who opened this issue said. 
for what it's worth i'm also on fedora40,
- plasma 6.0.1, 
- kde framework 6.0.0, 
- qt version 6.6.2, 
- kernel 6.8.0-0.rc6
Comment 5 Nate Graham 2024-03-13 18:04:46 UTC
> before in kde5 there was a slider in settings>sound, but it's not there in kde6.
This seems to be relevant. I definitely do see that slider, and it works for me. I guess for some people it's missing for some reason.
Comment 6 Ismael Asensio 2024-03-14 20:07:06 UTC
Created attachment 167203 [details]
SystemSettings > Sound > Configure Volume

The setting to disable the volume change feedback sound is directly on the "Sound" settings module, under the "Volume Controls" page.

This sound is not processed as a system notification, that's why it doesn't follow the general switch in "System Sounds" or in the "Notifications" settings. We could try and see to unify these settings, but al least there is currently a way to disable it.
Comment 7 freeeaks 2024-03-15 11:15:46 UTC
Created attachment 167249 [details]
sound-panel in kde6 (no notification system sound slider)

i include a screenshot of kde6 sound panel. as you can see there no slider for system notification sounds anymore.
Comment 8 Ismael Asensio 2024-03-15 11:25:30 UTC
You said

> i'm having the same issue. there's nothing to disable system notification sounds.

And I'm pointing  exactly to the setting where you can disable the volume feedback sound.

The slider should maybe also be there, but it is not completely necessary for the issue mentioned.
Comment 9 M. Schlegel 2024-03-15 12:23:35 UTC
Calling these "feedback" is ambiguous and confusing, I'd prefer KDE call the noises that the volume control makes "system sounds" or "sound effects". The term feedback is too general.   The fact those feedback checkboxes are in the configure volume panel conveys what feedback means so it's probably okay in this case.  I wrote this bug because the volume sound effect didn't seem to obey the "system sounds" volume slider or mute.  When I mute the system sounds in pulseaudio volume control I expect the volume change "bong" to go away, that is, to me the volume effect IS a system sound.
Comment 10 freeeaks 2024-03-15 18:18:14 UTC
(In reply to Ismael Asensio from comment #8)
> You said
> 
> > i'm having the same issue. there's nothing to disable system notification sounds.
> 
> And I'm pointing  exactly to the setting where you can disable the volume
> feedback sound.
> 
> The slider should maybe also be there, but it is not completely necessary
> for the issue mentioned.

the issue is "notification sounds" .
the volume change feedback is but one example. there are others feedback sounds.
what you say is true, and it's good to have at least for these a way to mute these.
but that doesn't do anything for 99% remaining ones.
and they should be reunited with the rest of their system beeps friends in the same panel where they all live. 

> The slider should maybe also be there

yes.. that's the main issue right there.
a mean to mute 99% of system beeps is missing.
Comment 11 M. Schlegel 2024-03-15 18:37:58 UTC
I've just now confirmed that unchecking:  "Play audio feedback for changes to: [ ] audio volume" checkbox correctly ends the audio feedback system sound for volume changes. I'm not sure what to do about the Status on this.  My bug was generally that I thought there was no way at all to turn off the volume control sound, but this shows there is.  But there seems to be some comments about adding a slider somewhere.  I'll leave the Status at REPORTED for now
Comment 12 freeeaks 2024-03-15 19:35:06 UTC
(In reply to Mark S from comment #11)
> I've just now confirmed that unchecking:  "Play audio feedback for changes
> to: [ ] audio volume" checkbox correctly ends the audio feedback system
> sound for volume changes. I'm not sure what to do about the Status on this. 
> My bug was generally that I thought there was no way at all to turn off the
> volume control sound, but this shows there is.  But there seems to be some
> comments about adding a slider somewhere.  I'll leave the Status at REPORTED
> for now

what you reported was in part a side effect of a larger problem.
there is a workaround for volume change beeps, as you've just mentioned and others said so too earlier.
that is good, but there's no workaround for the rest of system beeps that cannot be muted (due to lack of slider).
i would suggest leaving the issue opened, until kde brings back a mean to mute all system sounds.
Comment 13 Patrick Silva 2024-03-22 13:18:15 UTC
Created attachment 167606 [details]
screenshot

Today Dolphin played a sound when I tried to delete folders by pressing shift+del. Then I noticed that the "Notification sounds" slider disappeared from Sound KCM. Possibly a recent pipewire update (pipewire 1:1.0.4-2 package) is related.

Operating System: Arch Linux 
KDE Plasma Version: 6.0.2
KDE Frameworks Version: 6.0.0
Qt Version: 6.6.2
Graphics Platform: Wayland
Comment 14 Patrick Silva 2024-03-22 21:51:39 UTC
*** Bug 484190 has been marked as a duplicate of this bug. ***
Comment 15 Thomas Carmichael 2024-03-23 11:27:17 UTC
I've run into the same, testing in a VM running EndeavourOS and had no volume slider initially, however, I loaded "pavucontrol" and adjusted the "System Sounds" setting. After changing the volume here to a setting less than 100% and on reopening System Settings, the "Notification Sounds" slider appeared.

Having said that, changing the "System Sounds"/"Notification Sounds" volume appears to be having no impact and notification sounds are still playing for me. I don't know if this further issue is related or if a separate bug report needs to be raised.

I have the following software/OS versions:
Operating System: EndeavourOS 
KDE Plasma Version: 6.0.2
KDE Frameworks Version: 6.0.0
Qt Version: 6.6.2
Comment 16 Konstantin 2024-03-23 11:37:25 UTC
(In reply to Thomas Carmichael from comment #15)
> I've run into the same, testing in a VM running EndeavourOS and had no
> volume slider initially, however, I loaded "pavucontrol" and adjusted the
> "System Sounds" setting. After changing the volume here to a setting less
> than 100% and on reopening System Settings, the "Notification Sounds" slider
> appeared.
> 
> Having said that, changing the "System Sounds"/"Notification Sounds" volume
> appears to be having no impact and notification sounds are still playing for
> me. I don't know if this further issue is related or if a separate bug
> report needs to be raised.
> 
> I have the following software/OS versions:
> Operating System: EndeavourOS 
> KDE Plasma Version: 6.0.2
> KDE Frameworks Version: 6.0.0
> Qt Version: 6.6.2

I read your message and also installed pavucontrol. The notification volume slider has appeared, but it does not work either in pavucontrol or in the sound control panel.

I've been using Arch Linux for many years and this slider keeps disappearing and reappearing after every update.

I set the sound like this:

paru -S pipewire lib32-pipewire pipewire-pulse pipewire-alsa pipewire-jack wireplumber
systemctl --user enable --now pipewire pipewire-pulse wireplumber
Comment 17 Konstantin 2024-03-23 11:46:08 UTC
Does anyone know if it is possible to adjust the notification volume via the terminal or some parameter in the file? It's too loud.
Comment 18 Konstantin 2024-03-23 11:59:38 UTC
As far as I understand, this problem has been periodically appearing and disappearing for a year now. We need to fix this bug once and for all!

https://bugs.kde.org/show_bug.cgi?id=407397
Comment 19 Thomas Carmichael 2024-03-23 13:05:31 UTC
Based on Patrick Silva's mention of a recent pipewire update, I did various testing and found some issues that are occuring with wireplumber 0.5.0, where downgrading to 0.4.17 doesn't specifically fix this issue, bug the behaviour may have some relevance. I did various tests with downgrading the various pipewire packages to 1.0.3 but it seems like it's the wireplumber (and libwireplumber) package changes that have had the impact.

All this testing was on EndeavourOS (so Arch) under X11 (in case that's relevant) in a virtual machine and what I did that appears to be pertinent was:
1. Downgrade to wireplumber 0.4.17 and restarted
2. Before login, delete ~/.local/state/wireplumber (to be sure nothing here had an impact)
3. Checked for "Notification Sounds" slider under System Settings > Sound but there was nothing there
    a. Tried to "Empty Trash" to see if a sound would show the indicator but it didn't
4. Opened "pavucontrol" and lowered volume of "System Sounds" under "Playback" tab a bit
5. Reopened the System Settings and there is now a "Notification Sounds" slider
6. Reduced volume to 0 and tested a notification sound, and no sound played (as expected).
7. Set the volume at 0 and restarted, where the volume was remembered and I could see the "Notification Sounds" slider on login
8. Set the volume at 100 and restarted, where the volume was remembered and I could see the "Notification Sounds" slider on login

After the above testing:
1. Upgraded wireplumber to 0.5.0 and restarted (cleared ~/.local/state/wireplumber again)
2. Checked for "Notification Sounds" slider under System Settings > Sound but there was nothing there
    a. Tried to "Empty Trash" to see if a sound would show the indicator but it didn't
3. Opened "pavucontrol" and lowered volume of "System Sounds" under "Playback" tab a bit
4. Reopened the System Settings and there is now a "Notification Sounds" slider
5. Reduced volume to 0 and tested a notification sound, BUT sound still played (not expected)
6. Set the volume at 0 and restarted, BUT the volume was not remembered and I could not see the "Notification Sounds" slider on login
    a. It was necessary to open "pavucontrol" to get the slider to show again
7. Did multiple restarts, each time using "pavucontrol" to get the slider to appear and setting the volume to 0, then restarting and each time the "Notification Sounds" slider didn't appear and sounds still play when the volume is set to 0.

Downgrading back to 0.4.17 seemed to partly fix the issue, at least so far as notification sounds being muted when volume is set to 0 and the volume change being remembered, as there's still the issue that the slider is not visible initially until using "pavucontrol".

I realise that my in my testing I noted the sounds playing when they shouldn't, which isn't this issue, but I thought it was worth noting in case it's associated with whatever is going on with wireplumber and the KDE Plasma 6 interaction.
Comment 20 Patrick Silva 2024-03-31 17:17:46 UTC
I have just installed wireplumber 0.5.1-1 update on my Arch Linux, rebooted and now the "Notification sounds" slider is present in Sound KCM again.

Operating System: Arch Linux 
KDE Plasma Version: 6.0.3
KDE Frameworks Version: 6.0.0
Qt Version: 6.6.2
Graphics Platform: Wayland
Comment 21 Thomas Carmichael 2024-04-13 17:35:00 UTC
With the wireplumber update to 0.5.1 the additional issues I was experiencing have been fixed and if I've changed the "System Sounds" setting to cause the "Notification sounds" slider to show, it returns to being persistent between logout/login/restart.

However I've found what, for me at least, is a way to reproduce the main issue of the "Notification sounds" slider not being available. Based on previous testing, if I log in to a session and can see the "Notification sounds" slider, the following reproduces the missing slider for me:

1. Remove all files in ~/.local/state/wireplumber/
2. Restart wireplumber with "systemctl --user restart wireplumber.service"
3. Load "System Settings" (if not loaded) and go to "Sound" (or click on another setting and back to "Sound" if it was already selected) and the "Notification sounds" slider is not there
4. Load "pavucontrol" and change the "System Sounds" volume under the "Playback" tab
5. In "System Settings", click on another setting area, then click onto "Sound" again and the "Notification sounds" slider is now visible

With the slider now visible, if I follow steps 1 - 3 above, I consistently end up with no "Notification sounds" slider again until I use "pavucontrol" to change the "System Sounds" volume.